package com.seeyon.apps.qrCodeForm.manager;

import com.seeyon.cap4.form.modules.business.FormAppBO;
import com.seeyon.ctp.util.annotation.AjaxAccess;

import java.io.UnsupportedEncodingException;
import java.util.List;
import java.util.Map;

public interface QrCodeFormManager {
    @AjaxAccess
    List<Map<String, Object>> listBusiness(Map<String, Object> params);

    @AjaxAccess
    List<FormAppBO> listFormApp(Map<String, Object> params);

    Map<String, Object> qrCodeFormUrl(Map<String, Object> params) throws UnsupportedEncodingException;
}
